root/vtcross/branches/wrodgers/config.status @ 277

Revision 277, 31.2 KB (checked in by wrodgers, 15 years ago)

Updating SML functionality

  • Property svn:executable set to *
Line 
1#! /bin/bash
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/bash}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be more Bourne compatible
16DUALCASE=1; export DUALCASE # for MKS sh
17if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18  emulate sh
19  NULLCMD=:
20  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21  # is contrary to our usage.  Disable this feature.
22  alias -g '${1+"$@"}'='"$@"'
23  setopt NO_GLOB_SUBST
24else
25  case `(set -o) 2>/dev/null` in
26  *posix*) set -o posix ;;
27esac
28
29fi
30
31
32
33
34# PATH needs CR
35# Avoid depending upon Character Ranges.
36as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39as_cr_digits='0123456789'
40as_cr_alnum=$as_cr_Letters$as_cr_digits
41
42# The user is always right.
43if test "${PATH_SEPARATOR+set}" != set; then
44  echo "#! /bin/sh" >conf$$.sh
45  echo  "exit 0"   >>conf$$.sh
46  chmod +x conf$$.sh
47  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48    PATH_SEPARATOR=';'
49  else
50    PATH_SEPARATOR=:
51  fi
52  rm -f conf$$.sh
53fi
54
55# Support unset when possible.
56if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57  as_unset=unset
58else
59  as_unset=false
60fi
61
62
63# IFS
64# We need space, tab and new line, in precisely that order.  Quoting is
65# there to prevent editors from complaining about space-tab.
66# (If _AS_PATH_WALK were called with IFS unset, it would disable word
67# splitting by setting IFS to empty value.)
68as_nl='
69'
70IFS=" ""        $as_nl"
71
72# Find who we are.  Look in the path if we contain no directory separator.
73case $0 in
74  *[\\/]* ) as_myself=$0 ;;
75  *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76for as_dir in $PATH
77do
78  IFS=$as_save_IFS
79  test -z "$as_dir" && as_dir=.
80  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81done
82IFS=$as_save_IFS
83
84     ;;
85esac
86# We did not find ourselves, most probably we were run as `sh COMMAND'
87# in which case we are not to be found in the path.
88if test "x$as_myself" = x; then
89  as_myself=$0
90fi
91if test ! -f "$as_myself"; then
92  echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93  { (exit 1); exit 1; }
94fi
95
96# Work around bugs in pre-3.0 UWIN ksh.
97for as_var in ENV MAIL MAILPATH
98do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99done
100PS1='$ '
101PS2='> '
102PS4='+ '
103
104# NLS nuisances.
105for as_var in \
106  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108  LC_TELEPHONE LC_TIME
109do
110  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111    eval $as_var=C; export $as_var
112  else
113    ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
114  fi
115done
116
117# Required to use basename.
118if expr a : '\(a\)' >/dev/null 2>&1 &&
119   test "X`expr 00001 : '.*\(...\)'`" = X001; then
120  as_expr=expr
121else
122  as_expr=false
123fi
124
125if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126  as_basename=basename
127else
128  as_basename=false
129fi
130
131
132# Name of the executable.
133as_me=`$as_basename -- "$0" ||
134$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135         X"$0" : 'X\(//\)$' \| \
136         X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137echo X/"$0" |
138    sed '/^.*\/\([^/][^/]*\)\/*$/{
139            s//\1/
140            q
141          }
142          /^X\/\(\/\/\)$/{
143            s//\1/
144            q
145          }
146          /^X\/\(\/\).*/{
147            s//\1/
148            q
149          }
150          s/.*/./; q'`
151
152# CDPATH.
153$as_unset CDPATH
154
155
156
157  as_lineno_1=$LINENO
158  as_lineno_2=$LINENO
159  test "x$as_lineno_1" != "x$as_lineno_2" &&
160  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
161
162  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
163  # uniformly replaced by the line number.  The first 'sed' inserts a
164  # line-number line after each line using $LINENO; the second 'sed'
165  # does the real work.  The second script uses 'N' to pair each
166  # line-number line with the line containing $LINENO, and appends
167  # trailing '-' during substitution so that $LINENO is not a special
168  # case at line end.
169  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170  # scripts with optimization help from Paolo Bonzini.  Blame Lee
171  # E. McMahon (1931-1989) for sed's syntax.  :-)
172  sed -n '
173    p
174    /[$]LINENO/=
175  ' <$as_myself |
176    sed '
177      s/[$]LINENO.*/&-/
178      t lineno
179      b
180      :lineno
181      N
182      :loop
183      s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184      t loop
185      s/-\n.*//
186    ' >$as_me.lineno &&
187  chmod +x "$as_me.lineno" ||
188    { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189   { (exit 1); exit 1; }; }
190
191  # Don't try to exec as it changes $[0], causing all sort of problems
192  # (the dirname of $[0] is not the place where we might find the
193  # original and so on.  Autoconf is especially sensitive to this).
194  . "./$as_me.lineno"
195  # Exit status is that of the last command.
196  exit
197}
198
199
200if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201  as_dirname=dirname
202else
203  as_dirname=false
204fi
205
206ECHO_C= ECHO_N= ECHO_T=
207case `echo -n x` in
208-n*)
209  case `echo 'x\c'` in
210  *c*) ECHO_T=' ';;     # ECHO_T is single tab character.
211  *)   ECHO_C='\c';;
212  esac;;
213*)
214  ECHO_N='-n';;
215esac
216
217if expr a : '\(a\)' >/dev/null 2>&1 &&
218   test "X`expr 00001 : '.*\(...\)'`" = X001; then
219  as_expr=expr
220else
221  as_expr=false
222fi
223
224rm -f conf$$ conf$$.exe conf$$.file
225if test -d conf$$.dir; then
226  rm -f conf$$.dir/conf$$.file
227else
228  rm -f conf$$.dir
229  mkdir conf$$.dir
230fi
231echo >conf$$.file
232if ln -s conf$$.file conf$$ 2>/dev/null; then
233  as_ln_s='ln -s'
234  # ... but there are two gotchas:
235  # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236  # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237  # In both cases, we have to default to `cp -p'.
238  ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239    as_ln_s='cp -p'
240elif ln conf$$.file conf$$ 2>/dev/null; then
241  as_ln_s=ln
242else
243  as_ln_s='cp -p'
244fi
245rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246rmdir conf$$.dir 2>/dev/null
247
248if mkdir -p . 2>/dev/null; then
249  as_mkdir_p=:
250else
251  test -d ./-p && rmdir ./-p
252  as_mkdir_p=false
253fi
254
255if test -x / >/dev/null 2>&1; then
256  as_test_x='test -x'
257else
258  if ls -dL / >/dev/null 2>&1; then
259    as_ls_L_option=L
260  else
261    as_ls_L_option=
262  fi
263  as_test_x='
264    eval sh -c '\''
265      if test -d "$1"; then
266        test -d "$1/.";
267      else
268        case $1 in
269        -*)set "./$1";;
270        esac;
271        case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272        ???[sx]*):;;*)false;;esac;fi
273    '\'' sh
274  '
275fi
276as_executable_p=$as_test_x
277
278# Sed expression to map a string onto a valid CPP name.
279as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
280
281# Sed expression to map a string onto a valid variable name.
282as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
283
284
285exec 6>&1
286
287# Save the log message, to keep $[0] and so on meaningful, and to
288# report actual input values of CONFIG_FILES etc. instead of their
289# values after options handling.
290ac_log="
291This file was extended by vtcross $as_me 0.0.0, which was
292generated by GNU Autoconf 2.61.  Invocation command line was
293
294  CONFIG_FILES    = $CONFIG_FILES
295  CONFIG_HEADERS  = $CONFIG_HEADERS
296  CONFIG_LINKS    = $CONFIG_LINKS
297  CONFIG_COMMANDS = $CONFIG_COMMANDS
298  $ $0 $@
299
300on `(hostname || uname -n) 2>/dev/null | sed 1q`
301"
302
303# Files that config.status was made for.
304config_files=" Makefile doc/Makefile src/Makefile src/shell/Makefile src/libvtcross/Makefile src/cognitive_engines/Makefile src/policy_engines/Makefile src/service_management_layer/Makefile src/lib/tinyxml/Makefile src/lib/socketcomm/Makefile src/include/Makefile src/include/vtcross/Makefile src/include/tinyxml/Makefile src/lib/Makefile"
305config_headers=" src/include/vtcross/config.h"
306config_commands=" depfiles"
307
308ac_cs_usage="\
309\`$as_me' instantiates files from templates according to the
310current configuration.
311
312Usage: $0 [OPTIONS] [FILE]...
313
314  -h, --help       print this help, then exit
315  -V, --version    print version number and configuration settings, then exit
316  -q, --quiet      do not print progress messages
317  -d, --debug      don't remove temporary files
318      --recheck    update $as_me by reconfiguring in the same conditions
319  --file=FILE[:TEMPLATE]
320                   instantiate the configuration file FILE
321  --header=FILE[:TEMPLATE]
322                   instantiate the configuration header FILE
323
324Configuration files:
325$config_files
326
327Configuration headers:
328$config_headers
329
330Configuration commands:
331$config_commands
332
333Report bugs to <bug-autoconf@gnu.org>."
334
335ac_cs_version="\
336vtcross config.status 0.0.0
337configured by ./configure, generated by GNU Autoconf 2.61,
338  with options \"\"
339
340Copyright (C) 2006 Free Software Foundation, Inc.
341This config.status script is free software; the Free Software Foundation
342gives unlimited permission to copy, distribute and modify it."
343
344ac_pwd='/home/wrodgers/vtcornet/vtcross/branches/wrodgers'
345srcdir='.'
346INSTALL='/usr/bin/install -c'
347# If no file are specified by the user, then we need to provide default
348# value.  By we need to know if files were specified by the user.
349ac_need_defaults=:
350while test $# != 0
351do
352  case $1 in
353  --*=*)
354    ac_option=`expr "X$1" : 'X\([^=]*\)='`
355    ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
356    ac_shift=:
357    ;;
358  *)
359    ac_option=$1
360    ac_optarg=$2
361    ac_shift=shift
362    ;;
363  esac
364
365  case $ac_option in
366  # Handling of the options.
367  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
368    ac_cs_recheck=: ;;
369  --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
370    echo "$ac_cs_version"; exit ;;
371  --debug | --debu | --deb | --de | --d | -d )
372    debug=: ;;
373  --file | --fil | --fi | --f )
374    $ac_shift
375    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
376    ac_need_defaults=false;;
377  --header | --heade | --head | --hea )
378    $ac_shift
379    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
380    ac_need_defaults=false;;
381  --he | --h)
382    # Conflict between --help and --header
383    { echo "$as_me: error: ambiguous option: $1
384Try \`$0 --help' for more information." >&2
385   { (exit 1); exit 1; }; };;
386  --help | --hel | -h )
387    echo "$ac_cs_usage"; exit ;;
388  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
389  | -silent | --silent | --silen | --sile | --sil | --si | --s)
390    ac_cs_silent=: ;;
391
392  # This is an error.
393  -*) { echo "$as_me: error: unrecognized option: $1
394Try \`$0 --help' for more information." >&2
395   { (exit 1); exit 1; }; } ;;
396
397  *) ac_config_targets="$ac_config_targets $1"
398     ac_need_defaults=false ;;
399
400  esac
401  shift
402done
403
404ac_configure_extra_args=
405
406if $ac_cs_silent; then
407  exec 6>/dev/null
408  ac_configure_extra_args="$ac_configure_extra_args --silent"
409fi
410
411if $ac_cs_recheck; then
412  echo "running CONFIG_SHELL=/bin/bash /bin/bash ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
413  CONFIG_SHELL=/bin/bash
414  export CONFIG_SHELL
415  exec /bin/bash "./configure" $ac_configure_extra_args --no-create --no-recursion
416fi
417
418exec 5>>config.log
419{
420  echo
421  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
422## Running $as_me. ##
423_ASBOX
424  echo "$ac_log"
425} >&5
426
427#
428# INIT-COMMANDS
429#
430AMDEP_TRUE="" ac_aux_dir="."
431
432
433# Handling of arguments.
434for ac_config_target in $ac_config_targets
435do
436  case $ac_config_target in
437    "src/include/vtcross/config.h") CONFIG_HEADERS="$CONFIG_HEADERS src/include/vtcross/config.h" ;;
438    "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
439    "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
440    "doc/Makefile") CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
441    "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
442    "src/shell/Makefile") CONFIG_FILES="$CONFIG_FILES src/shell/Makefile" ;;
443    "src/libvtcross/Makefile") CONFIG_FILES="$CONFIG_FILES src/libvtcross/Makefile" ;;
444    "src/cognitive_engines/Makefile") CONFIG_FILES="$CONFIG_FILES src/cognitive_engines/Makefile" ;;
445    "src/policy_engines/Makefile") CONFIG_FILES="$CONFIG_FILES src/policy_engines/Makefile" ;;
446    "src/service_management_layer/Makefile") CONFIG_FILES="$CONFIG_FILES src/service_management_layer/Makefile" ;;
447    "src/lib/tinyxml/Makefile") CONFIG_FILES="$CONFIG_FILES src/lib/tinyxml/Makefile" ;;
448    "src/lib/socketcomm/Makefile") CONFIG_FILES="$CONFIG_FILES src/lib/socketcomm/Makefile" ;;
449    "src/include/Makefile") CONFIG_FILES="$CONFIG_FILES src/include/Makefile" ;;
450    "src/include/vtcross/Makefile") CONFIG_FILES="$CONFIG_FILES src/include/vtcross/Makefile" ;;
451    "src/include/tinyxml/Makefile") CONFIG_FILES="$CONFIG_FILES src/include/tinyxml/Makefile" ;;
452    "src/lib/Makefile") CONFIG_FILES="$CONFIG_FILES src/lib/Makefile" ;;
453
454  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
455echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
456   { (exit 1); exit 1; }; };;
457  esac
458done
459
460
461# If the user did not use the arguments to specify the items to instantiate,
462# then the envvar interface is used.  Set only those that are not.
463# We use the long form for the default assignment because of an extremely
464# bizarre bug on SunOS 4.1.3.
465if $ac_need_defaults; then
466  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
467  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
468  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
469fi
470
471# Have a temporary directory for convenience.  Make it in the build tree
472# simply because there is no reason against having it here, and in addition,
473# creating and moving files from /tmp can sometimes cause problems.
474# Hook for its removal unless debugging.
475# Note that there is a small window in which the directory will not be cleaned:
476# after its creation but before its name has been assigned to `$tmp'.
477$debug ||
478{
479  tmp=
480  trap 'exit_status=$?
481  { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
482' 0
483  trap '{ (exit 1); exit 1; }' 1 2 13 15
484}
485# Create a (secure) tmp directory for tmp files.
486
487{
488  tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
489  test -n "$tmp" && test -d "$tmp"
490}  ||
491{
492  tmp=./conf$$-$RANDOM
493  (umask 077 && mkdir "$tmp")
494} ||
495{
496   echo "$me: cannot create a temporary directory in ." >&2
497   { (exit 1); exit 1; }
498}
499
500#
501# Set up the sed scripts for CONFIG_FILES section.
502#
503
504# No need to generate the scripts if there are no CONFIG_FILES.
505# This happens for instance when ./config.status config.h
506if test -n "$CONFIG_FILES"; then
507
508cat >"$tmp/subs-1.sed" <<\CEOF
509/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
510s,@SHELL@,|#_!!_#|/bin/bash,g
511s,@PATH_SEPARATOR@,|#_!!_#|:,g
512s,@PACKAGE_NAME@,|#_!!_#|vtcross,g
513s,@PACKAGE_TARNAME@,|#_!!_#|vtcross,g
514s,@PACKAGE_VERSION@,|#_!!_#|0.0.0,g
515s,@PACKAGE_STRING@,|#_!!_#|vtcross 0.0.0,g
516s,@PACKAGE_BUGREPORT@,|#_!!_#|,g
517s,@exec_prefix@,|#_!!_#|${prefix},g
518s,@prefix@,|#_!!_#|/usr/local,g
519s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
520s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
521s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
522s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
523s,@datarootdir@,|#_!!_#|${prefix}/share,g
524s,@datadir@,|#_!!_#|${datarootdir},g
525s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
526s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
527s,@localstatedir@,|#_!!_#|${prefix}/var,g
528s,@includedir@,|#_!!_#|${prefix}/include,g
529s,@oldincludedir@,|#_!!_#|/usr/include,g
530s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
531s,@infodir@,|#_!!_#|${datarootdir}/info,g
532s,@htmldir@,|#_!!_#|${docdir},g
533s,@dvidir@,|#_!!_#|${docdir},g
534s,@pdfdir@,|#_!!_#|${docdir},g
535s,@psdir@,|#_!!_#|${docdir},g
536s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
537s,@localedir@,|#_!!_#|${datarootdir}/locale,g
538s,@mandir@,|#_!!_#|${datarootdir}/man,g
539s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
540s,@ECHO_C@,|#_!!_#|,g
541s,@ECHO_N@,|#_!!_#|-n,g
542s,@ECHO_T@,|#_!!_#|,g
543s,@LIBS@,|#_!!_#|-lsqlite3 ,g
544s,@build_alias@,|#_!!_#|,g
545s,@host_alias@,|#_!!_#|,g
546s,@target_alias@,|#_!!_#|,g
547s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
548s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
549s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
550s,@CYGPATH_W@,|#_!!_#|echo,g
551s,@PACKAGE@,|#_!!_#|vtcross,g
552s,@VERSION@,|#_!!_#|0.0.0,g
553s,@ACLOCAL@,|#_!!_#|${SHELL} /home/wrodgers/vtcornet/vtcross/branches/wrodgers/missing --run aclocal-1.9,g
554s,@AUTOCONF@,|#_!!_#|${SHELL} /home/wrodgers/vtcornet/vtcross/branches/wrodgers/missing --run autoconf,g
555s,@AUTOMAKE@,|#_!!_#|${SHELL} /home/wrodgers/vtcornet/vtcross/branches/wrodgers/missing --run automake-1.9,g
556s,@AUTOHEADER@,|#_!!_#|${SHELL} /home/wrodgers/vtcornet/vtcross/branches/wrodgers/missing --run autoheader,g
557s,@MAKEINFO@,|#_!!_#|${SHELL} /home/wrodgers/vtcornet/vtcross/branches/wrodgers/missing --run makeinfo,g
558s,@install_sh@,|#_!!_#|/home/wrodgers/vtcornet/vtcross/branches/wrodgers/install-sh,g
559s,@STRIP@,|#_!!_#|strip,g
560s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|${SHELL} $(install_sh) -c -s,g
561s,@mkdir_p@,|#_!!_#|mkdir -p --,g
562s,@AWK@,|#_!!_#|gawk,g
563s,@SET_MAKE@,|#_!!_#|,g
564s,@am__leading_dot@,|#_!!_#|.,g
565s,@AMTAR@,|#_!!_#|${SHELL} /home/wrodgers/vtcornet/vtcross/branches/wrodgers/missing --run tar,g
566s,@am__tar@,|#_!!_#|${AMTAR} chof - "$$tardir",g
567s,@am__untar@,|#_!!_#|${AMTAR} xf -,g
568s,@CC@,|#_!!_#|gcc,g
569s,@CFLAGS@,|#_!!_#|-g -O2,g
570s,@LDFLAGS@,|#_!!_#|,g
571s,@CPPFLAGS@,|#_!!_#|,g
572s,@ac_ct_CC@,|#_!!_#|gcc,g
573s,@EXEEXT@,|#_!!_#|,g
574s,@OBJEXT@,|#_!!_#|o,g
575s,@DEPDIR@,|#_!!_#|.deps,g
576s,@am__include@,|#_!!_#|include,g
577s,@am__quote@,|#_!!_#|,g
578s,@AMDEP_TRUE@,|#_!!_#|,g
579s,@AMDEP_FALSE@,|#_!!_#|#,g
580s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
581s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
582s,@am__fastdepCC_TRUE@,|#_!!_#|,g
583s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
584s,@CXX@,|#_!!_#|g++,g
585s,@CXXFLAGS@,|#_!!_#|-g -O2,g
586s,@ac_ct_CXX@,|#_!!_#|g++,g
587s,@CXXDEPMODE@,|#_!!_#|depmode=gcc3,g
588s,@am__fastdepCXX_TRUE@,|#_!!_#|,g
589s,@am__fastdepCXX_FALSE@,|#_!!_#|#,g
590s,@build@,|#_!!_#|i686-pc-linux-gnu,g
591s,@build_cpu@,|#_!!_#|i686,g
592s,@build_vendor@,|#_!!_#|pc,g
593s,@build_os@,|#_!!_#|linux-gnu,g
594s,@host@,|#_!!_#|i686-pc-linux-gnu,g
595s,@host_cpu@,|#_!!_#|i686,g
596s,@host_vendor@,|#_!!_#|pc,g
597s,@host_os@,|#_!!_#|linux-gnu,g
598s,@SED@,|#_!!_#|/bin/sed,g
599s,@GREP@,|#_!!_#|/bin/grep,g
600s,@EGREP@,|#_!!_#|/bin/grep -E,g
601s,@LN_S@,|#_!!_#|ln -s,g
602s,@ECHO@,|#_!!_#|echo,g
603s,@AR@,|#_!!_#|ar,g
604s,@RANLIB@,|#_!!_#|ranlib,g
605s,@DSYMUTIL@,|#_!!_#|,g
606s,@NMEDIT@,|#_!!_#|,g
607CEOF
608cat >"$tmp/subs-2.sed" <<\CEOF
609/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
610s,@CPP@,|#_!!_#|gcc -E,g
611s,@CXXCPP@,|#_!!_#|g++ -E,g
612s,@F77@,|#_!!_#|g77,g
613s,@FFLAGS@,|#_!!_#|-g -O2,g
614s,@ac_ct_F77@,|#_!!_#|g77,g
615s,@LIBTOOL@,|#_!!_#|$(SHELL) $(top_builddir)/libtool,g
616s,@LIBOBJS@,|#_!!_#|,g
617s,@LTLIBOBJS@,|#_!!_#|,g
618:end
619s/|#_!!_#|//g
620CEOF
621fi # test -n "$CONFIG_FILES"
622
623
624for ac_tag in  :F $CONFIG_FILES  :H $CONFIG_HEADERS    :C $CONFIG_COMMANDS
625do
626  case $ac_tag in
627  :[FHLC]) ac_mode=$ac_tag; continue;;
628  esac
629  case $ac_mode$ac_tag in
630  :[FHL]*:*);;
631  :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
632echo "$as_me: error: Invalid tag $ac_tag." >&2;}
633   { (exit 1); exit 1; }; };;
634  :[FH]-) ac_tag=-:-;;
635  :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
636  esac
637  ac_save_IFS=$IFS
638  IFS=:
639  set x $ac_tag
640  IFS=$ac_save_IFS
641  shift
642  ac_file=$1
643  shift
644
645  case $ac_mode in
646  :L) ac_source=$1;;
647  :[FH])
648    ac_file_inputs=
649    for ac_f
650    do
651      case $ac_f in
652      -) ac_f="$tmp/stdin";;
653      *) # Look for the file first in the build tree, then in the source tree
654         # (if the path is not absolute).  The absolute path cannot be DOS-style,
655         # because $ac_f cannot contain `:'.
656         test -f "$ac_f" ||
657           case $ac_f in
658           [\\/$]*) false;;
659           *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
660           esac ||
661           { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
662echo "$as_me: error: cannot find input file: $ac_f" >&2;}
663   { (exit 1); exit 1; }; };;
664      esac
665      ac_file_inputs="$ac_file_inputs $ac_f"
666    done
667
668    # Let's still pretend it is `configure' which instantiates (i.e., don't
669    # use $as_me), people would be surprised to read:
670    #    /* config.h.  Generated by config.status.  */
671    configure_input="Generated from "`IFS=:
672          echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
673    if test x"$ac_file" != x-; then
674      configure_input="$ac_file.  $configure_input"
675      { echo "$as_me:$LINENO: creating $ac_file" >&5
676echo "$as_me: creating $ac_file" >&6;}
677    fi
678
679    case $ac_tag in
680    *:-:* | *:-) cat >"$tmp/stdin";;
681    esac
682    ;;
683  esac
684
685  ac_dir=`$as_dirname -- "$ac_file" ||
686$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
687         X"$ac_file" : 'X\(//\)[^/]' \| \
688         X"$ac_file" : 'X\(//\)$' \| \
689         X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
690echo X"$ac_file" |
691    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
692            s//\1/
693            q
694          }
695          /^X\(\/\/\)[^/].*/{
696            s//\1/
697            q
698          }
699          /^X\(\/\/\)$/{
700            s//\1/
701            q
702          }
703          /^X\(\/\).*/{
704            s//\1/
705            q
706          }
707          s/.*/./; q'`
708  { as_dir="$ac_dir"
709  case $as_dir in #(
710  -*) as_dir=./$as_dir;;
711  esac
712  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
713    as_dirs=
714    while :; do
715      case $as_dir in #(
716      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
717      *) as_qdir=$as_dir;;
718      esac
719      as_dirs="'$as_qdir' $as_dirs"
720      as_dir=`$as_dirname -- "$as_dir" ||
721$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
722         X"$as_dir" : 'X\(//\)[^/]' \| \
723         X"$as_dir" : 'X\(//\)$' \| \
724         X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
725echo X"$as_dir" |
726    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
727            s//\1/
728            q
729          }
730          /^X\(\/\/\)[^/].*/{
731            s//\1/
732            q
733          }
734          /^X\(\/\/\)$/{
735            s//\1/
736            q
737          }
738          /^X\(\/\).*/{
739            s//\1/
740            q
741          }
742          s/.*/./; q'`
743      test -d "$as_dir" && break
744    done
745    test -z "$as_dirs" || eval "mkdir $as_dirs"
746  } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
747echo "$as_me: error: cannot create directory $as_dir" >&2;}
748   { (exit 1); exit 1; }; }; }
749  ac_builddir=.
750
751case "$ac_dir" in
752.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
753*)
754  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
755  # A ".." for each directory in $ac_dir_suffix.
756  ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
757  case $ac_top_builddir_sub in
758  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
759  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
760  esac ;;
761esac
762ac_abs_top_builddir=$ac_pwd
763ac_abs_builddir=$ac_pwd$ac_dir_suffix
764# for backward compatibility:
765ac_top_builddir=$ac_top_build_prefix
766
767case $srcdir in
768  .)  # We are building in place.
769    ac_srcdir=.
770    ac_top_srcdir=$ac_top_builddir_sub
771    ac_abs_top_srcdir=$ac_pwd ;;
772  [\\/]* | ?:[\\/]* )  # Absolute name.
773    ac_srcdir=$srcdir$ac_dir_suffix;
774    ac_top_srcdir=$srcdir
775    ac_abs_top_srcdir=$srcdir ;;
776  *) # Relative name.
777    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
778    ac_top_srcdir=$ac_top_build_prefix$srcdir
779    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
780esac
781ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
782
783
784  case $ac_mode in
785  :F)
786  #
787  # CONFIG_FILE
788  #
789
790  case $INSTALL in
791  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
792  *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
793  esac
794# If the template does not know about datarootdir, expand it.
795# FIXME: This hack should be removed a few years after 2.60.
796ac_datarootdir_hack=; ac_datarootdir_seen=
797
798case `sed -n '/datarootdir/ {
799  p
800  q
801}
802/@datadir@/p
803/@docdir@/p
804/@infodir@/p
805/@localedir@/p
806/@mandir@/p
807' $ac_file_inputs` in
808*datarootdir*) ac_datarootdir_seen=yes;;
809*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
810  { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
811echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
812  ac_datarootdir_hack='
813  s&@datadir@&${datarootdir}&g
814  s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
815  s&@infodir@&${datarootdir}/info&g
816  s&@localedir@&${datarootdir}/locale&g
817  s&@mandir@&${datarootdir}/man&g
818    s&\${datarootdir}&${prefix}/share&g' ;;
819esac
820  sed "/^[       ]*VPATH[        ]*=/{
821s/:*\$(srcdir):*/:/
822s/:*\${srcdir}:*/:/
823s/:*@srcdir@:*/:/
824s/^\([^=]*=[     ]*\):*/\1/
825s/:*$//
826s/^[^=]*=[       ]*$//
827}
828
829:t
830/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
831s&@configure_input@&$configure_input&;t t
832s&@top_builddir@&$ac_top_builddir_sub&;t t
833s&@srcdir@&$ac_srcdir&;t t
834s&@abs_srcdir@&$ac_abs_srcdir&;t t
835s&@top_srcdir@&$ac_top_srcdir&;t t
836s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
837s&@builddir@&$ac_builddir&;t t
838s&@abs_builddir@&$ac_abs_builddir&;t t
839s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
840s&@INSTALL@&$ac_INSTALL&;t t
841$ac_datarootdir_hack
842" $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out
843
844test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
845  { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
846  { ac_out=`sed -n '/^[  ]*datarootdir[  ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
847  { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
848which seems to be undefined.  Please make sure it is defined." >&5
849echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
850which seems to be undefined.  Please make sure it is defined." >&2;}
851
852  rm -f "$tmp/stdin"
853  case $ac_file in
854  -) cat "$tmp/out"; rm -f "$tmp/out";;
855  *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
856  esac
857 ;;
858  :H)
859  #
860  # CONFIG_HEADER
861  #
862    # First, check the format of the line:
863    cat >"$tmp/defines.sed" <<\CEOF
864/^[      ]*#[    ]*undef[        ][      ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[    ]*$/b def
865/^[      ]*#[    ]*define[       ][      ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(   ]/b def
866b
867:def
868s/$/ /
869s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_NAME\)[       (].*,\1define\2 "vtcross" ,
870s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_TARNAME\)[    (].*,\1define\2 "vtcross" ,
871s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_VERSION\)[    (].*,\1define\2 "0.0.0" ,
872s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_STRING\)[     (].*,\1define\2 "vtcross 0.0.0" ,
873s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_BUGREPORT\)[  (].*,\1define\2 "" ,
874s,^\([   #]*\)[^         ]*\([   ]*PACKAGE\)[    (].*,\1define\2 "vtcross" ,
875s,^\([   #]*\)[^         ]*\([   ]*VERSION\)[    (].*,\1define\2 "0.0.0" ,
876s,^\([   #]*\)[^         ]*\([   ]*STDC_HEADERS\)[       (].*,\1define\2 1 ,
877s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_TYPES_H\)[   (].*,\1define\2 1 ,
878s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_STAT_H\)[    (].*,\1define\2 1 ,
879s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDLIB_H\)[      (].*,\1define\2 1 ,
880s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRING_H\)[      (].*,\1define\2 1 ,
881s,^\([   #]*\)[^         ]*\([   ]*HAVE_MEMORY_H\)[      (].*,\1define\2 1 ,
882s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRINGS_H\)[     (].*,\1define\2 1 ,
883s,^\([   #]*\)[^         ]*\([   ]*HAVE_INTTYPES_H\)[    (].*,\1define\2 1 ,
884s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDINT_H\)[      (].*,\1define\2 1 ,
885s,^\([   #]*\)[^         ]*\([   ]*HAVE_UNISTD_H\)[      (].*,\1define\2 1 ,
886s,^\([   #]*\)[^         ]*\([   ]*HAVE_DLFCN_H\)[       (].*,\1define\2 1 ,
887s,^\([   #]*\)[^         ]*\([   ]*HAVE_LIBSQLITE3\)[    (].*,\1define\2 1 ,
888s/ $//
889s,^[     #]*u.*,/* & */,
890CEOF
891    sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
892ac_result="$tmp/out1"
893  if test x"$ac_file" != x-; then
894    echo "/* $configure_input  */" >"$tmp/config.h"
895    cat "$ac_result" >>"$tmp/config.h"
896    if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
897      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
898echo "$as_me: $ac_file is unchanged" >&6;}
899    else
900      rm -f $ac_file
901      mv "$tmp/config.h" $ac_file
902    fi
903  else
904    echo "/* $configure_input  */"
905    cat "$ac_result"
906  fi
907  rm -f "$tmp/out12"
908# Compute $ac_file's index in $config_headers.
909_am_stamp_count=1
910for _am_header in $config_headers :; do
911  case $_am_header in
912    $ac_file | $ac_file:* )
913      break ;;
914    * )
915      _am_stamp_count=`expr $_am_stamp_count + 1` ;;
916  esac
917done
918echo "timestamp for $ac_file" >`$as_dirname -- $ac_file ||
919$as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
920         X$ac_file : 'X\(//\)[^/]' \| \
921         X$ac_file : 'X\(//\)$' \| \
922         X$ac_file : 'X\(/\)' \| . 2>/dev/null ||
923echo X$ac_file |
924    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
925            s//\1/
926            q
927          }
928          /^X\(\/\/\)[^/].*/{
929            s//\1/
930            q
931          }
932          /^X\(\/\/\)$/{
933            s//\1/
934            q
935          }
936          /^X\(\/\).*/{
937            s//\1/
938            q
939          }
940          s/.*/./; q'`/stamp-h$_am_stamp_count
941 ;;
942
943  :C)  { echo "$as_me:$LINENO: executing $ac_file commands" >&5
944echo "$as_me: executing $ac_file commands" >&6;}
945 ;;
946  esac
947
948
949  case $ac_file$ac_mode in
950    "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
951  # Strip MF so we end up with the name of the file.
952  mf=`echo "$mf" | sed -e 's/:.*$//'`
953  # Check whether this is an Automake generated Makefile or not.
954  # We used to match only the files named `Makefile.in', but
955  # some people rename them; so instead we look at the file content.
956  # Grep'ing the first line is not enough: some people post-process
957  # each Makefile.in and add a new line on top of each file to say so.
958  # So let's grep whole file.
959  if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
960    dirpart=`$as_dirname -- "$mf" ||
961$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
962         X"$mf" : 'X\(//\)[^/]' \| \
963         X"$mf" : 'X\(//\)$' \| \
964         X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
965echo X"$mf" |
966    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
967            s//\1/
968            q
969          }
970          /^X\(\/\/\)[^/].*/{
971            s//\1/
972            q
973          }
974          /^X\(\/\/\)$/{
975            s//\1/
976            q
977          }
978          /^X\(\/\).*/{
979            s//\1/
980            q
981          }
982          s/.*/./; q'`
983  else
984    continue
985  fi
986  # Extract the definition of DEPDIR, am__include, and am__quote
987  # from the Makefile without running `make'.
988  DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
989  test -z "$DEPDIR" && continue
990  am__include=`sed -n 's/^am__include = //p' < "$mf"`
991  test -z "am__include" && continue
992  am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
993  # When using ansi2knr, U may be empty or an underscore; expand it
994  U=`sed -n 's/^U = //p' < "$mf"`
995  # Find all dependency output files, they are included files with
996  # $(DEPDIR) in their names.  We invoke sed twice because it is the
997  # simplest approach to changing $(DEPDIR) to its actual value in the
998  # expansion.
999  for file in `sed -n "
1000    s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1001       sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1002    # Make sure the directory exists.
1003    test -f "$dirpart/$file" && continue
1004    fdir=`$as_dirname -- "$file" ||
1005$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1006         X"$file" : 'X\(//\)[^/]' \| \
1007         X"$file" : 'X\(//\)$' \| \
1008         X"$file" : 'X\(/\)' \| . 2>/dev/null ||
1009echo X"$file" |
1010    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1011            s//\1/
1012            q
1013          }
1014          /^X\(\/\/\)[^/].*/{
1015            s//\1/
1016            q
1017          }
1018          /^X\(\/\/\)$/{
1019            s//\1/
1020            q
1021          }
1022          /^X\(\/\).*/{
1023            s//\1/
1024            q
1025          }
1026          s/.*/./; q'`
1027    { as_dir=$dirpart/$fdir
1028  case $as_dir in #(
1029  -*) as_dir=./$as_dir;;
1030  esac
1031  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
1032    as_dirs=
1033    while :; do
1034      case $as_dir in #(
1035      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
1036      *) as_qdir=$as_dir;;
1037      esac
1038      as_dirs="'$as_qdir' $as_dirs"
1039      as_dir=`$as_dirname -- "$as_dir" ||
1040$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1041         X"$as_dir" : 'X\(//\)[^/]' \| \
1042         X"$as_dir" : 'X\(//\)$' \| \
1043         X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
1044echo X"$as_dir" |
1045    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1046            s//\1/
1047            q
1048          }
1049          /^X\(\/\/\)[^/].*/{
1050            s//\1/
1051            q
1052          }
1053          /^X\(\/\/\)$/{
1054            s//\1/
1055            q
1056          }
1057          /^X\(\/\).*/{
1058            s//\1/
1059            q
1060          }
1061          s/.*/./; q'`
1062      test -d "$as_dir" && break
1063    done
1064    test -z "$as_dirs" || eval "mkdir $as_dirs"
1065  } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
1066echo "$as_me: error: cannot create directory $as_dir" >&2;}
1067   { (exit 1); exit 1; }; }; }
1068    # echo "creating $dirpart/$file"
1069    echo '# dummy' > "$dirpart/$file"
1070  done
1071done
1072 ;;
1073
1074  esac
1075done # for ac_tag
1076
1077
1078{ (exit 0); exit 0; }
Note: See TracBrowser for help on using the browser.